Name:		k4dirstat
Version:	3.4.2
Release:	%mkrel 1
Summary:	Graphical Disk Usage Utility
License:	GPLv2 and LGPLv2
Group:		File tools
Url:		https://github.com/jeromerobert/k4dirstat
Source0:	https://github.com/jeromerobert/k4dirstat/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5DocTools)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	pkgconfig(zlib)

%description
K4DirStat (KDE Directory Statistics) is a small utility program that sums up
disk usage for directory trees, very much like the Unix 'du' command. It
displays the disk space used up by a directory tree, both numerically and
graphically.

%prep
%setup -q

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html

%files -f %{name}.lang
%doc AUTHORS CREDITS README.md
%license COPYING COPYING.LIB
%{_kf5_bindir}/%{name}
%{_kf5_applicationsdir}/%{name}.desktop
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.*
%{_kf5_mandir}/man1/%{name}.1*


%changelog
* Tue Nov 15 2022 daviddavid <daviddavid> 3.4.2-1.mga9
+ Revision: 1907739
- new version: 3.4.2

* Wed Apr 06 2022 umeabot <umeabot> 3.2.2-2.mga9
+ Revision: 1846014
- Mageia 9 Mass Rebuild

* Mon Jan 11 2021 daviddavid <daviddavid> 3.2.2-1.mga8
+ Revision: 1671096
- new version: 3.2.2

* Thu Dec 17 2020 umeabot <umeabot> 3.2.1-2.mga8
+ Revision: 1658618
- Rebuild for new Qt5

* Wed Dec 16 2020 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1658037
- new version: 3.2.1

* Tue Feb 18 2020 umeabot <umeabot> 3.2.0-2.mga8
+ Revision: 1538888
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Nov 27 2019 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1463232
- new version: 3.2.0
- new URL and Source URL

* Sat Mar 30 2019 umeabot <umeabot> 3.1.4-2.mga7
+ Revision: 1381961
- Qt5 Rebuild

* Thu Feb 21 2019 daviddavid <daviddavid> 3.1.4-1.mga7
+ Revision: 1369024
- new version: 3.1.4

* Sun Sep 23 2018 umeabot <umeabot> 3.1.3-2.mga7
+ Revision: 1298411
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 daviddavid <daviddavid> 3.1.3-1.mga7
+ Revision: 1189794
- new version: 3.1.3

* Sun Nov 27 2016 daviddavid <daviddavid> 3.1.2-2.mga6
+ Revision: 1070364
- rebuild because of missing signature

* Fri Nov 25 2016 daviddavid <daviddavid> 3.1.2-1.mga6
+ Revision: 1070164
- initial package k4dirstat

